/*
 *  Copyright (C) 1999, 2000 Bruno Pires Marinho
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <config.h>
#include <gnome.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include "gtm.h"
#include "file-data.h"
#include "file-list.h"
#include "dialogs.h"

/* Callback functions */
static void
restart_file (GtkWidget *widget, gpointer data)
{
    file_list_func_on_selection (GTK_CLIST (dl_file_list),
                                 file_data_restart_download);
}

/* Display a nice dialog box */
void
dialog_restart (void)
{
    GtkWidget *dlg, *label;
    
    if (!gtm_pref.confirm_restart)
        restart_file (NULL, NULL);
    else {
        dlg = gnome_dialog_new (_ ("Restart selected files"), 
                                GNOME_STOCK_BUTTON_YES, 
                                GNOME_STOCK_BUTTON_NO, NULL);
        gnome_dialog_set_parent (GNOME_DIALOG (dlg), GTK_WINDOW (gtm_app));
        label = gtk_label_new (_ (
            "The files already downloaded will be erased.\n"
            "Are you sure you want to restart selected files?"));
        gtk_widget_show (label);
        gtk_box_pack_start (GTK_BOX (GNOME_DIALOG (dlg)->vbox), label, FALSE,
                            FALSE, 0);
        gnome_dialog_set_close (GNOME_DIALOG (dlg), TRUE);
        gtk_window_position (GTK_WINDOW (dlg), GTK_WIN_POS_MOUSE);
        gnome_dialog_button_connect (GNOME_DIALOG (dlg), GNOME_YES,
                                     GTK_SIGNAL_FUNC (restart_file), 
                                     NULL);
        gtk_widget_show (dlg);
    }
}
